Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.AWXML
Class CalculatedMemberRef

    java.lang.Object
      |
      +--oracle.AWXML.BaseObject
            |
            +--oracle.AWXML.CalculatedMemberRef

public class CalculatedMemberRef
extends BaseObject

A `CalculatedMember` reference in a `Model`.

A `Model` owns an ordered list of `CalculatedMemberRef` objects, each one referencing an OLAP calculation for generating custom dimension members.

See Also:
  `Model`

Fields inherited from class oracle.AWXML.BaseObject
`DATABASENULL`

Constructor Summary
`CalculatedMemberRef(BaseObject input)` Creates a `CalculatedMemberRef` for the specified `Model`.

Method Summary
`java.lang.String` | `Create(AWConnection connection)` Creates the `CalculatedMemberRef` in the current analytic workspace of the specified database connection.
`java.lang.String` | `CreateAfter(AWConnection connection, BaseObject referencedObj)` Creates the `CalculatedMemberRef` after the referenced `CalculatedMemberRef` in the list for the owning model in the current analytic workspace of the specified database connection.
`java.lang.String` | `CreateBefore(AWConnection connection, BaseObject referencedObj)` Creates the `CalculatedMemberRef` before the referenced `CalculatedMemberRef` in the list for the owning model in the current analytic workspace of the specified database connection.
`java.lang.String` | `CreateFirst(AWConnection connection)` Creates the `CalculatedMemberRef` at the beginning of the list of references for the owning model in the current analytic workspace of the specified database connection.
`java.lang.String` | `Delete(AWConnection connection)` Deletes the `CalculatedMemberRef` in the current analytic workspace of the specified database connection.
`CalculatedMember` | `getCalculatedMember()` Returns the referenced `CalculatedMember`.
`void` | `setCalculatedMember(CalculatedMember input)` Sets the `CalculatedMember` to reference.
`java.lang.String` | `WriteToXML()` Returns the `CalculatedMemberRef` as an XML string.

Methods inherited from class oracle.AWXML.BaseObject
`Alter, DataRead, getColumnName, getId, getLongName, getLongName, getName, getOwner, getPluralName, getPluralName, getSchema, getShortName, getShortName, setColumnName, setLongName, setLongName, setName, setPluralName, setPluralName, setSchema, setShortName, setShortName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CalculatedMemberRef

    public CalculatedMemberRef(BaseObject input)

  Creates a `CalculatedMemberRef` for the specified `Model`.
  Parameters:
    `input` - The `Model` that owns the new `CalculatedMemberRef`.

Method Detail

### WriteToXML

    public java.lang.String WriteToXML()

  Returns the `CalculatedMemberRef` as an XML string.
  Overrides:
    WriteToXML in class BaseObject
  Returns:
    A `String` containing the XML that represents `CalculatedMemberRef`.

### getCalculatedMember

    public CalculatedMember getCalculatedMember()

  Returns the referenced `CalculatedMember`.
  Returns:
    The referenced `CalculatedMember`.

### setCalculatedMember

    public void setCalculatedMember(CalculatedMember input)

  Sets the `CalculatedMember` to reference.
  Parameters:
    `input` - The `CalculatedMember` to reference.

### Create

    public java.lang.String Create(AWConnection connection)

  Creates the `CalculatedMemberRef` in the current analytic workspace of the specified database connection.

  If the owning model already has one or more `CalculatedMemberRef` objects, adds the new one to the end of the list.

  Overrides:
    Create in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that specifies the database connection.
  Returns:
    "`success`" if successful.

### CreateFirst

    public java.lang.String CreateFirst(AWConnection connection)

  Creates the `CalculatedMemberRef` at the beginning of the list of references for the owning model in the current analytic workspace of the specified database connection.
  Overrides:
    CreateFirst in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that specifies the database connection.
  Returns:
    "`success`" if successful.

### CreateAfter

    public java.lang.String CreateAfter(AWConnection connection,
                                        BaseObject referencedObj)

  Creates the `CalculatedMemberRef` after the referenced `CalculatedMemberRef` in the list for the owning model in the current analytic workspace of the specified database connection.
  Overrides:
    CreateAfter in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that specifies the database connection.
    `referencedObj` - The referenced `CalculatedMemberRef`.
  Returns:
    "`success`" if successful.

### CreateBefore

    public java.lang.String CreateBefore(AWConnection connection,
                                         BaseObject referencedObj)

  Creates the `CalculatedMemberRef` before the referenced `CalculatedMemberRef` in the list for the owning model in the current analytic workspace of the specified database connection.
  Overrides:
    CreateBefore in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that specifies the database connection.
    `referencedObj` - The referenced `CalculatedMemberRef`.
  Returns:
    "`success`" if successful.

### Delete

    public java.lang.String Delete(AWConnection connection)

  Deletes the `CalculatedMemberRef` in the current analytic workspace of the specified database connection.
  Overrides:
    Delete in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that specifies the database connection.
  Returns:
    "`success`" if successful.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005 Oracle. All rights reserved.